Bug 870323 - Review Request: glogg - Smart interactive log explorer
Review Request: glogg - Smart interactive log explorer
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Volker Fröhlich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-26 03:36 EDT by Damian Wrobel
Modified: 2014-04-24 08:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-09 00:57:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
volker27: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Damian Wrobel 2012-10-26 03:36:50 EDT
Spec URL: http://dwrobel.fedorapeople.org/projects/rpmbuild/SPECS/glogg.spec
SRPM URL: http://dwrobel.fedorapeople.org/projects/rpmbuild/SRPMS/glogg-0.8.3-1.fc17.src.rpm
Description: glogg is a multi-platform GUI application to browse and search through long or complex log files. It is designed with programmers and system
administrators in mind. glogg can be seen as a graphical, interactive
combination of grep and less.
Fedora Account System Username: dwrobel

rpmlint:
glogg.src: W: spelling-error %description -l en_US multi -> mulch, mufti
glogg.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
glogg.x86_64: W: no-manual-page-for-binary glogg
2 packages and 1 specfiles checked; 0 errors, 3 warnings.
Comment 1 Volker Fröhlich 2012-10-26 15:37:40 EDT
Please remove the qt-devel version constraint. Every version of Fedora fulfils the need.

From what I see, you don't need pkgconfig.

You need scriptlets, when you put files in %{_datadir}/icons/hicolor: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

glogg-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/glogg-0.8.3/.moc
glogg-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/glogg-0.8.3/.moc

Please delete!

(You can remove the trailing slash on URL.)
Comment 2 Damian Wrobel 2012-10-27 05:28:45 EDT
(In reply to comment #1)
Volker,
Thank you for taking the review.

> glogg-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/glogg-0.8.3/.moc
> glogg-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/glogg-0.8.3/.moc
> 
> Please delete!

If those are included it means that the /usr/lib/debug/usr/bin/glogg.debug has references to those files and they are necessary to debug this application.

The only thing I could do is to try to change the .moc -> moc by using:
sed -i 's#\(^release:MOC_DIR.*\)\(\.moc\)\(.*\)#\1moc\3#g' %{name}.pro

But I'm not sure if it's really necessary as it seems to be the common case:
$ yum --enablerepo=\*-debuginfo provides '*/.moc/*' | wc -l
10645

BTW do we have any clear policy how to tackle it or it's only yet another rpmlint false positive?
Comment 3 Volker Fröhlich 2012-10-29 17:20:20 EDT
You're right! qmake is responsible for the hidden directory. And as you pointed out, that is common. I don't know of a concrete policy, but it could be a useful addition to https://fedoraproject.org/wiki/Common_Rpmlint_issues.
Comment 4 Damian Wrobel 2012-10-29 17:44:15 EDT
Everything else has been corrected. Please find updated files.

Spec URL: http://dwrobel.fedorapeople.org/projects/rpmbuild/SPECS/glogg.spec
SRPM URL: http://dwrobel.fedorapeople.org/projects/rpmbuild/SRPMS/glogg-0.8.3-2.fc17.src.rpm
Comment 5 Volker Fröhlich 2012-10-30 18:58:06 EDT
Please package the newest version 0.9.0!

The changelog version doesn't match the actual version, please correct!

==APPROVED==

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated

===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[-]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /media/speicher1/makerpm/rpmbuild/SPECS/870323-glogg/licensecheck.txt

Helper scripts for release, test and performance testing scripts

[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[-]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.

0.9.0 is out

[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.

Patch is justified

[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (glogg-0.8.3.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: glogg-debuginfo-0.8.3-2.fc19.x86_64.rpm
          glogg-0.8.3-2.fc19.x86_64.rpm
          glogg-0.8.3-2.fc19.src.rpm
glogg-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/glogg-0.8.3/.moc
glogg-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/glogg-0.8.3/.moc
glogg.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
glogg.x86_64: W: incoherent-version-in-changelog 0.8.3-3 ['0.8.3-2.fc19', '0.8.3-2']
glogg.x86_64: W: no-manual-page-for-binary glogg
glogg.src: W: spelling-error %description -l en_US multi -> mulch, mufti
3 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint glogg glogg-debuginfo
glogg.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
glogg.x86_64: W: incoherent-version-in-changelog 0.8.3-3 ['0.8.3-2.fc19', '0.8.3-2']
glogg.x86_64: W: no-manual-page-for-binary glogg
glogg-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/glogg-0.8.3/.moc
glogg-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/glogg-0.8.3/.moc
2 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
glogg-debuginfo-0.8.3-2.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    

glogg-0.8.3-2.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    libQtCore.so.4()(64bit)  
    libQtGui.so.4()(64bit)  
    libboost_program_options.so.1.50.0()(64bit)  
    libc.so.6()(64bit)  
    libgcc_s.so.1()(64bit)  
    libgcc_s.so.1(GCC_3.0)(64bit)  
    libm.so.6()(64bit)  
    libpthread.so.0()(64bit)  
    libstdc++.so.6()(64bit)  
    libstdc++.so.6(CXXABI_1.3)(64bit)  
    rtld(GNU_HASH)  



Provides
--------
glogg-debuginfo-0.8.3-2.fc19.x86_64.rpm:
    
    glogg-debuginfo = 0.8.3-2.fc19
    glogg-debuginfo(x86-64) = 0.8.3-2.fc19

glogg-0.8.3-2.fc19.x86_64.rpm:
    
    glogg = 0.8.3-2.fc19
    glogg(x86-64) = 0.8.3-2.fc19



MD5-sum check
-------------
http://glogg.bonnefon.org/files/glogg-0.8.3.tar.gz :
  CHECKSUM(SHA256) this package     : 1baeaab784dd46c2a9b919c146e22ee9f24b3da521f87fceb658766f67cae645
  CHECKSUM(SHA256) upstream package : 1baeaab784dd46c2a9b919c146e22ee9f24b3da521f87fceb658766f67cae645


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 870323 -m fedora-rawhide-x86_64
Comment 6 Damian Wrobel 2012-10-31 03:57:08 EDT
(In reply to comment #5)
> Please package the newest version 0.9.0!
That was my initial approach.

However the 0.9 is marked as a first version on the development branch towards 1.0. I even gave it a try, but the gcc reported some warnings like:

  warning: no return statement in function returning non-void

additionally while running under valgrind it reports some uninitialized variables.

Based on that I would prefer to stick to the latest stable version 0.8.3 for a while and switch to 1.0 once available.
Comment 7 Damian Wrobel 2012-10-31 04:01:13 EDT
New Package SCM Request
=======================
Package Name: glogg
Short Description: Smart interactive log explorer
Owners: dwrobel
Branches: f16 f17 f18
InitialCC:
Comment 8 Gwyn Ciesla 2012-10-31 07:16:06 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-10-31 17:24:55 EDT
glogg-0.8.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/glogg-0.8.3-2.fc17
Comment 10 Fedora Update System 2012-10-31 17:25:04 EDT
glogg-0.8.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/glogg-0.8.3-2.fc18
Comment 11 Fedora Update System 2012-11-01 01:55:00 EDT
glogg-0.8.3-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 12 Fedora Update System 2012-11-24 05:32:25 EST
glogg-0.8.3-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/glogg-0.8.3-4.fc16
Comment 13 Fedora Update System 2012-12-09 00:57:33 EST
glogg-0.8.3-4.fc16 has been pushed to the Fedora 16 stable repository.
Comment 14 Damian Wrobel 2014-04-23 13:20:47 EDT
Package Change Request
======================
Package Name: glogg
New Branches: el6 epel7
Owners: dwrobel
Comment 15 Gwyn Ciesla 2014-04-24 08:40:58 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.